Documentation Index
Fetch the complete documentation index at: https://brightdata-ipv6-release.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Trigger a collection
POST /datasets/v3/trigger
Error codes related to the "Trigger a collection" endpoint
| http_status_code | message |
|---|
| 400 | {validation_errors: [ERRORS]} |
| dataset missing |
| Invalid attachments |
| This dataset is not allowed for API |
| This dataset is not ready yet |
| No data to trigger |
| Should be at least LIMIT inputs |
| 404 | dataset does not exist |
| 429 | You have too many running jobs for this dataset. Please wait until some of them finish or consider combining multiple inputs into a single request. Running jobs: RUNNING_JOBS>=JOBS_LIMIT |
| 500 | Internal server error |
Download snapshot
GET /datasets/v3/snapshot/:snapshot_id
Error codes related to the "Download snapshot" endpoint
| http_status_code | message |
|---|
| 202 | {status: "STATUS", message: "Snapshot is not ready yet, try again in 10s"} |
| {status: "building", message: "Snapshot is building, try again in 10s"} |
| 400 | {validation_errors: [ERRORS]} |
| Snapshot is expired |
| Snapshot is empty |
| 404 | Snapshot does not exist |
| 500 | Internal server error |
Calculate the number of parts for delivery
GET /datasets/v3/snapshot/:snapshot_id/parts
Error codes related to the "Calculate the number of parts for delivery" endpoint
| http_status_code | message |
|---|
| 400 | {validation_errors: [ERRORS]} |
| Snapshot is not ready |
| 404 | Snapshot does not exist |
| 500 | Internal server error |
GET /datasets/v3/snapshot/:snapshot_id/input
Error codes related to the "Fetch the input file from a triggered snapshot" endpoint
| http_status_code | message |
|---|
| 400 | Snapshot input does not exist |
| 404 | Snapshot does not exist |
| 500 | Internal server error |
Cancel a collection
POST /datasets/v3/snapshot/:snapshot_id/cancel
Error codes related to the "Cancel a collection" endpoint
| http_status_code | message |
|---|
| 400 | Snapshot is not running |
| 404 | Snapshot does not exist |
| 500 | Internal server error |
Monitor progress
GET /datasets/v3/progress/:snapshot_id
Error codes related to the "Monitor progress" endpoint
| http_status_code | message |
|---|
| 404 | Snapshot does not exist |
| 500 | Internal server error |
| 200 | {status: “failed”, error_message: “ERROR_MESSAGE”} |
| Something went wrong. Our team is looking into it. |
| Account is suspended |
| Account is new, please activate it in account settings. URL |
| No data found in discovery |
| Snapshot is empty |
| Failed to deliver snapshot |
| Failed to download response |
| Failed to trigger collector |
| Internal Server Error |
| Input validation failed: DETAILS |
Monitor delivery
GET /datasets/v3/delivery/:delivery_id
Error codes related to the "Monitor delivery" endpoint
| http_status_code | message |
|---|
| 404 | Delivery does not exist |
| 500 | Internal server error |
Deliver collected data to storage
POST /datasets/v3/deliver/:snapshot_id
Error codes related to the "Deliver collected data to storage" endpoint
| http_status_code | message |
|---|
| 400 | {validation_errors: [ERRORS]} |
| Snapshot is not ready |
| Snapshot is expired |
| Deliver options are missing |
| Snapshot is empty |
| Snapshot is too big for single file delivery |
| Batch size should be at least MIN_BATCH_SIZE |
| 404 | Snapshot does not exist |
| 500 | Failed to deliver snapshot |
| Internal server error |
Get snapshot list
GET /datasets/v3/snapshots
Error codes related to the "Get snapshot list" endpoint
| http_status_code | message |
|---|
| 400 | {validation_errors: [ERRORS]} |
| 500 | Internal server error |